// src/components/TableComponent.tsx
import { useEffect as useEffect4, useState as useState4 } from "react";

// src/components/NoContentComponent.tsx
import { jsx, jsxs } from "react/jsx-runtime";
var NoContentComponent = ({ name = "items" }) => /* @__PURE__ */ jsxs("div", { className: "text-center py-10", children: [
  /* @__PURE__ */ jsx(
    "svg",
    {
      className: "mx-auto h-12 w-12 text-gray-400",
      fill: "none",
      viewBox: "0 0 24 24",
      stroke: "currentColor",
      children: /* @__PURE__ */ jsx(
        "path",
        {
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: 2,
          d: "M13 10V3L4 14h7v7l9-11h-7z"
        }
      )
    }
  ),
  /* @__PURE__ */ jsxs("p", { className: "text-gray-500", children: [
    "No ",
    name,
    " found."
  ] })
] });
var NoContentComponent_default = NoContentComponent;

// src/components/TableSkeleton.tsx
import { useEffect, useState } from "react";

// node_modules/react-loading-skeleton/dist/index.js
import React from "react";
var SkeletonThemeContext = React.createContext({});
var defaultEnableAnimation = true;
function styleOptionsToCssProperties({ baseColor, highlightColor, width, height, borderRadius, circle, direction, duration, enableAnimation = defaultEnableAnimation, customHighlightBackground }) {
  const style = {};
  if (direction === "rtl")
    style["--animation-direction"] = "reverse";
  if (typeof duration === "number")
    style["--animation-duration"] = `${duration}s`;
  if (!enableAnimation)
    style["--pseudo-element-display"] = "none";
  if (typeof width === "string" || typeof width === "number")
    style.width = width;
  if (typeof height === "string" || typeof height === "number")
    style.height = height;
  if (typeof borderRadius === "string" || typeof borderRadius === "number")
    style.borderRadius = borderRadius;
  if (circle)
    style.borderRadius = "50%";
  if (typeof baseColor !== "undefined")
    style["--base-color"] = baseColor;
  if (typeof highlightColor !== "undefined")
    style["--highlight-color"] = highlightColor;
  if (typeof customHighlightBackground === "string")
    style["--custom-highlight-background"] = customHighlightBackground;
  return style;
}
function Skeleton({ count = 1, wrapper: Wrapper, className: customClassName, containerClassName, containerTestId, circle = false, style: styleProp, ...originalPropsStyleOptions }) {
  var _a, _b, _c;
  const contextStyleOptions = React.useContext(SkeletonThemeContext);
  const propsStyleOptions = { ...originalPropsStyleOptions };
  for (const [key, value] of Object.entries(originalPropsStyleOptions)) {
    if (typeof value === "undefined") {
      delete propsStyleOptions[key];
    }
  }
  const styleOptions = {
    ...contextStyleOptions,
    ...propsStyleOptions,
    circle
  };
  const style = {
    ...styleProp,
    ...styleOptionsToCssProperties(styleOptions)
  };
  let className = "react-loading-skeleton";
  if (customClassName)
    className += ` ${customClassName}`;
  const inline = (_a = styleOptions.inline) !== null && _a !== void 0 ? _a : false;
  const elements = [];
  const countCeil = Math.ceil(count);
  for (let i = 0; i < countCeil; i++) {
    let thisStyle = style;
    if (countCeil > count && i === countCeil - 1) {
      const width = (_b = thisStyle.width) !== null && _b !== void 0 ? _b : "100%";
      const fractionalPart = count % 1;
      const fractionalWidth = typeof width === "number" ? width * fractionalPart : `calc(${width} * ${fractionalPart})`;
      thisStyle = { ...thisStyle, width: fractionalWidth };
    }
    const skeletonSpan = React.createElement("span", { className, style: thisStyle, key: i }, "\u200C");
    if (inline) {
      elements.push(skeletonSpan);
    } else {
      elements.push(React.createElement(
        React.Fragment,
        { key: i },
        skeletonSpan,
        React.createElement("br", null)
      ));
    }
  }
  return React.createElement("span", { className: containerClassName, "data-testid": containerTestId, "aria-live": "polite", "aria-busy": (_c = styleOptions.enableAnimation) !== null && _c !== void 0 ? _c : defaultEnableAnimation }, Wrapper ? elements.map((el, i) => React.createElement(Wrapper, { key: i }, el)) : elements);
}

// src/components/TableSkeleton.tsx
import { jsx as jsx2, jsxs as jsxs2 } from "react/jsx-runtime";
var TableSkeleton = ({
  disableDefaultStyles = false,
  customClassNames = {},
  enableDarkMode = true
}) => {
  const [isDarkMode, setIsDarkMode] = useState(false);
  useEffect(() => {
    if (enableDarkMode) {
      const matchMedia = window.matchMedia("(prefers-color-scheme: dark)");
      setIsDarkMode(matchMedia.matches);
      const handleChange = () => {
        setIsDarkMode(matchMedia.matches);
      };
      matchMedia.addEventListener("change", handleChange);
      return () => {
        matchMedia.removeEventListener("change", handleChange);
      };
    }
  }, [enableDarkMode]);
  const baseContainerClassName = enableDarkMode && isDarkMode ? "bg-gray-900 text-gray-200 border-gray-700" : "bg-white text-gray-900 border-gray-200";
  const baseTableClassName = enableDarkMode && isDarkMode ? "bg-gray-900 text-gray-200 divide-gray-700" : "bg-white text-gray-900 divide-gray-300";
  const baseThClassName = enableDarkMode && isDarkMode ? "text-gray-300" : "text-gray-900";
  const baseTdClassName = enableDarkMode && isDarkMode ? "text-gray-300" : "text-gray-900";
  const baseTrClassName = (index) => index % 2 === 0 ? enableDarkMode && isDarkMode ? "bg-gray-800" : "bg-white" : enableDarkMode && isDarkMode ? "bg-gray-700" : "bg-gray-50";
  const containerClassName = disableDefaultStyles ? customClassNames.container || "" : `${baseContainerClassName} px-4 sm:px-6 lg:px-8 ${customClassNames.container || ""}`;
  const tableClassName = disableDefaultStyles ? customClassNames.table || "" : `${baseTableClassName} min-w-full divide-y ${customClassNames.table || ""}`;
  const thClassName = disableDefaultStyles ? customClassNames.th || "" : `${baseThClassName} py-3.5 pl-4 pr-3 text-left text-sm font-semibold sm:pl-3 ${customClassNames.th || ""}`;
  const trClassName = (index) => disableDefaultStyles ? customClassNames.tr || "" : `${baseTrClassName(index)} ${customClassNames.tr || ""}`;
  const tdClassName = disableDefaultStyles ? customClassNames.td || "" : `${baseTdClassName} whitespace-nowrap py-4 pl-4 pr-3 text-sm sm:pl-3 ${customClassNames.td || ""}`;
  return /* @__PURE__ */ jsx2("div", { className: containerClassName, children: /* @__PURE__ */ jsx2("div", { className: "mt-8 flow-root", children: /* @__PURE__ */ jsx2("div", { className: "-mx-4 -my-2 overflow-x-auto sm:-mx-6 lg:-mx-8", children: /* @__PURE__ */ jsx2("div", { className: "inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8", children: /* @__PURE__ */ jsxs2("table", { className: tableClassName, children: [
    /* @__PURE__ */ jsx2("thead", { children: /* @__PURE__ */ jsxs2("tr", { children: [
      Array.from({ length: 4 }).map((_, index) => /* @__PURE__ */ jsx2("th", { scope: "col", className: thClassName, children: /* @__PURE__ */ jsx2(Skeleton, { width: 100 }) }, index)),
      /* @__PURE__ */ jsx2("th", { scope: "col", className: thClassName, children: /* @__PURE__ */ jsx2(Skeleton, { width: 50 }) })
    ] }) }),
    /* @__PURE__ */ jsx2("tbody", { children: Array.from({ length: 10 }).map((_, index) => /* @__PURE__ */ jsxs2("tr", { className: trClassName(index), children: [
      Array.from({ length: 4 }).map((_2, colIndex) => /* @__PURE__ */ jsx2("td", { className: tdClassName, children: /* @__PURE__ */ jsx2(Skeleton, { width: 150 }) }, colIndex)),
      /* @__PURE__ */ jsx2("td", { className: tdClassName, children: /* @__PURE__ */ jsx2(Skeleton, { width: 50 }) })
    ] }, index)) })
  ] }) }) }) }) });
};
var TableSkeleton_default = TableSkeleton;

// src/components/ActionDropdown.tsx
import { useState as useState2, useEffect as useEffect2, useRef } from "react";
import { createPortal } from "react-dom";
import { jsx as jsx3, jsxs as jsxs3 } from "react/jsx-runtime";
var ActionDropdown = ({
  item,
  index,
  actionTexts,
  actionFunctions,
  disableDefaultStyles = false,
  customClassNames = {},
  enableDarkMode = true
}) => {
  const [isDropdownOpen, setIsDropdownOpen] = useState2(false);
  const [isDarkMode, setIsDarkMode] = useState2(false);
  const [dropdownPosition, setDropdownPosition] = useState2({ top: 0, left: 0 });
  const buttonRef = useRef(null);
  const dropdownRef = useRef(null);
  const toggleDropdown = () => {
    if (buttonRef.current) {
      const rect = buttonRef.current.getBoundingClientRect();
      setDropdownPosition({
        top: rect.bottom + window.scrollY,
        left: Math.min(
          rect.left + window.scrollX - 10,
          window.innerWidth - 240
        )
      });
    }
    setIsDropdownOpen((prev) => !prev);
  };
  const handleClickOutside = (event) => {
    if (dropdownRef.current && !dropdownRef.current.contains(event.target) && buttonRef.current && !buttonRef.current.contains(event.target)) {
      setIsDropdownOpen(false);
    }
  };
  useEffect2(() => {
    document.addEventListener("mousedown", handleClickOutside);
    return () => {
      document.removeEventListener("mousedown", handleClickOutside);
    };
  }, []);
  useEffect2(() => {
    if (enableDarkMode) {
      const matchMedia = window.matchMedia("(prefers-color-scheme: dark)");
      setIsDarkMode(matchMedia.matches);
      const handleChange = () => setIsDarkMode(matchMedia.matches);
      matchMedia.addEventListener("change", handleChange);
      return () => {
        matchMedia.removeEventListener("change", handleChange);
      };
    }
  }, [enableDarkMode]);
  const handleDropdownClick = (event) => {
    event.stopPropagation();
  };
  const baseTdClassName = (index2) => index2 % 2 === 0 ? isDarkMode ? "relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-3 bg-gray-800 text-gray-300" : "relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-3 bg-white text-gray-700" : isDarkMode ? "relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-3 bg-gray-700 text-gray-300" : "relative whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-3 bg-gray-100 text-gray-700";
  const tdClassName = disableDefaultStyles ? customClassNames.actionTd || "" : `${baseTdClassName(index)} ${customClassNames.actionTd || ""}`;
  const baseButtonClassName = "focus:outline-none text-gray-700";
  const baseSvgClassName = "w-6 h-6 text-gray-700 hover:text-gray-900";
  const baseDropdownMenuClassName = "absolute z-50 mt-1 w-48 bg-gray-200 shadow-md rounded-lg text-gray-700";
  const baseDropdownItemClassName = "block w-full text-left px-4 py-2 text-sm text-gray-700 hover:bg-gray-300";
  const buttonClassName = disableDefaultStyles ? customClassNames.actionButton || "" : `${baseButtonClassName} ${customClassNames.actionButton || ""}`;
  const svgClassName = disableDefaultStyles ? customClassNames.actionSvg || "" : `${baseSvgClassName} ${customClassNames.actionSvg || ""}`;
  const dropdownMenuClassName = disableDefaultStyles ? customClassNames.dropdownMenu || "" : `${baseDropdownMenuClassName} ${customClassNames.dropdownMenu || ""}`;
  const dropdownItemClassName = disableDefaultStyles ? customClassNames.dropdownItem || "" : `${baseDropdownItemClassName} ${customClassNames.dropdownItem || ""}`;
  const dropdownMenu = /* @__PURE__ */ jsx3(
    "div",
    {
      ref: dropdownRef,
      className: dropdownMenuClassName,
      style: {
        top: dropdownPosition.top,
        left: dropdownPosition.left,
        transform: "translateX(-10%)"
      },
      onClick: handleDropdownClick,
      children: actionTexts.map((text, i) => /* @__PURE__ */ jsx3(
        "button",
        {
          onClick: () => {
            actionFunctions[i](item);
            setIsDropdownOpen(false);
          },
          className: dropdownItemClassName,
          children: text
        },
        `action-${text}`
      ))
    }
  );
  return /* @__PURE__ */ jsxs3("td", { className: tdClassName, children: [
    /* @__PURE__ */ jsx3(
      "button",
      {
        ref: buttonRef,
        onClick: toggleDropdown,
        className: buttonClassName,
        children: /* @__PURE__ */ jsx3(
          "svg",
          {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "none",
            viewBox: "0 0 24 24",
            stroke: "currentColor",
            className: svgClassName,
            children: /* @__PURE__ */ jsx3(
              "path",
              {
                strokeLinecap: "round",
                strokeLinejoin: "round",
                strokeWidth: 2,
                d: "M12 6h.01M12 12h.01M12 18h.01"
              }
            )
          }
        )
      }
    ),
    isDropdownOpen && createPortal(dropdownMenu, document.body)
  ] }, `actions-${index}`);
};
var ActionDropdown_default = ActionDropdown;

// src/components/TableComponent.tsx
import Link from "next/link";

// src/utils/helpers.ts
var formatDate = (date, includeTime = false) => {
  const options = includeTime ? {
    year: "numeric",
    month: "short",
    day: "numeric",
    hour: "2-digit",
    minute: "2-digit"
  } : { year: "numeric", month: "short", day: "numeric" };
  return date.toLocaleDateString(void 0, options);
};
var isDateString = (value) => !isNaN(Date.parse(value));
var trimText = (text, maxLength) => text.length > maxLength ? `${text.slice(0, maxLength)}...` : text;

// src/components/PaginationComponent.tsx
import { useState as useState3, useEffect as useEffect3 } from "react";
import { jsx as jsx4, jsxs as jsxs4 } from "react/jsx-runtime";
var PaginationComponent = ({
  page,
  setPage,
  totalPages,
  disableDefaultStyles = false,
  customClassNames = {},
  enableDarkMode = true
}) => {
  const [isDarkMode, setIsDarkMode] = useState3(false);
  useEffect3(() => {
    if (enableDarkMode) {
      const matchMedia = window.matchMedia("(prefers-color-scheme: dark)");
      setIsDarkMode(matchMedia.matches);
      const handleChange = () => setIsDarkMode(matchMedia.matches);
      matchMedia.addEventListener("change", handleChange);
      return () => {
        matchMedia.removeEventListener("change", handleChange);
      };
    }
  }, [enableDarkMode]);
  const baseContainerClassName = isDarkMode ? "bg-gray-900 text-gray-200 border-t border-gray-700" : "bg-white text-gray-900 border-t border-gray-200";
  const baseButtonClassName = isDarkMode ? "px-4 py-2 bg-gray-800 text-gray-200 rounded disabled:bg-gray-700 disabled:text-gray-500" : "px-4 py-2 bg-gray-100 text-gray-900 rounded disabled:bg-gray-200 disabled:text-gray-500";
  const basePageInfoClassName = isDarkMode ? "text-gray-200" : "text-gray-900";
  const containerClassName = disableDefaultStyles ? customClassNames.container || "" : `flex justify-between items-center p-4 ${baseContainerClassName} ${customClassNames.container || ""}`;
  const buttonClassName = disableDefaultStyles ? customClassNames.button || "" : `${baseButtonClassName} ${customClassNames.button || ""}`;
  const pageInfoClassName = disableDefaultStyles ? customClassNames.pageInfo || "" : `${basePageInfoClassName} ${customClassNames.pageInfo || ""}`;
  const handleNextPage = () => setPage((prevPage) => Math.min(prevPage + 1, totalPages));
  const handlePrevPage = () => setPage((prevPage) => Math.max(prevPage - 1, 1));
  return /* @__PURE__ */ jsxs4(
    "div",
    {
      className: containerClassName,
      style: { position: "sticky", bottom: 0, zIndex: 10 },
      children: [
        /* @__PURE__ */ jsx4(
          "button",
          {
            disabled: page === 1,
            onClick: handlePrevPage,
            className: buttonClassName,
            children: "Previous"
          }
        ),
        /* @__PURE__ */ jsxs4("span", { className: pageInfoClassName, children: [
          "Page ",
          page,
          " of ",
          totalPages
        ] }),
        /* @__PURE__ */ jsx4(
          "button",
          {
            disabled: page === totalPages,
            onClick: handleNextPage,
            className: buttonClassName,
            children: "Next"
          }
        )
      ]
    }
  );
};
var PaginationComponent_default = PaginationComponent;

// src/components/TableComponent.tsx
import { Fragment, jsx as jsx5, jsxs as jsxs5 } from "react/jsx-runtime";
function TableComponent({
  columns,
  data,
  props,
  actions,
  actionTexts,
  loading,
  actionFunctions,
  searchValue,
  disableDefaultStyles = false,
  customClassNames = {},
  renderRow,
  rowOnClick,
  enableDarkMode = true,
  enablePagination = false,
  page = 1,
  setPage,
  itemsPerPage = 10
}) {
  const [isDarkMode, setIsDarkMode] = useState4(false);
  const [expandedCells, setExpandedCells] = useState4({});
  useEffect4(() => {
    if (enableDarkMode) {
      const matchMedia = window.matchMedia("(prefers-color-scheme: dark)");
      setIsDarkMode(matchMedia.matches);
      const handleChange = () => setIsDarkMode(matchMedia.matches);
      matchMedia.addEventListener("change", handleChange);
      return () => {
        matchMedia.removeEventListener("change", handleChange);
      };
    }
  }, [enableDarkMode]);
  if (loading) {
    return /* @__PURE__ */ jsx5(TableSkeleton_default, { enableDarkMode });
  }
  if (!data || data.length === 0) {
    return /* @__PURE__ */ jsx5(NoContentComponent_default, { name: searchValue ?? "items" });
  }
  let filteredData = data;
  if (searchValue) {
    filteredData = data.filter((item) => {
      return props.some((prop) => {
        const value = item[prop];
        return String(value).toLowerCase().includes(searchValue.toLowerCase());
      });
    });
  }
  if (filteredData.length === 0) {
    return /* @__PURE__ */ jsx5(NoContentComponent_default, { name: searchValue ?? "items" });
  }
  let paginatedData = filteredData;
  let calculatedTotalPages = 1;
  if (enablePagination && setPage) {
    const totalItemsCount = filteredData.length;
    calculatedTotalPages = Math.ceil(totalItemsCount / itemsPerPage);
    const startIndex = (page - 1) * itemsPerPage;
    const endIndex = startIndex + itemsPerPage;
    paginatedData = filteredData.slice(startIndex, endIndex);
    if (page > calculatedTotalPages) {
      setPage(calculatedTotalPages);
    }
  }
  const baseContainerClassName = !disableDefaultStyles && enableDarkMode ? isDarkMode ? "bg-gray-900 text-gray-200 border-gray-700" : "bg-white text-gray-900 border-gray-200" : "";
  const baseTableClassName = !disableDefaultStyles ? `min-w-full divide-y ${enableDarkMode && isDarkMode ? "bg-gray-900 text-gray-200 divide-gray-700" : "bg-white text-gray-900 divide-gray-200"}` : "";
  const baseTheadClassName = !disableDefaultStyles && enableDarkMode ? isDarkMode ? "bg-gray-700 text-gray-300" : "bg-gray-50 text-gray-500" : "";
  const baseTbodyClassName = !disableDefaultStyles ? `divide-y ${enableDarkMode && isDarkMode ? "divide-gray-700" : "divide-gray-200"}` : "";
  const baseTrClassName = (index) => !disableDefaultStyles ? index % 2 === 0 ? isDarkMode ? "bg-gray-800" : "bg-white" : isDarkMode ? "bg-gray-700" : "bg-gray-100" : "";
  const baseTdClassName = !disableDefaultStyles ? isDarkMode ? "text-gray-300" : "text-gray-700" : "";
  const containerClassName = disableDefaultStyles ? customClassNames.container || "" : `${baseContainerClassName} overflow-x-auto ${customClassNames.container || ""}`;
  const tableClassName = disableDefaultStyles ? customClassNames.table || "" : `${baseTableClassName} ${customClassNames.table || ""}`;
  const theadClassName = disableDefaultStyles ? customClassNames.thead || "" : `${baseTheadClassName} ${customClassNames.thead || ""}`;
  const tbodyClassName = disableDefaultStyles ? customClassNames.tbody || "" : `${baseTbodyClassName} ${customClassNames.tbody || ""}`;
  const thClassName = disableDefaultStyles ? customClassNames.th || "" : `px-6 py-3 text-left text-xs font-medium uppercase tracking-wider ${customClassNames.th || ""}`;
  const trClassName = (index) => disableDefaultStyles ? customClassNames.tr || "" : `${baseTrClassName(index)} ${customClassNames.tr || ""}`;
  const tdClassName = disableDefaultStyles ? customClassNames.td || "" : `px-6 py-4 whitespace-nowrap text-sm ${baseTdClassName} ${customClassNames.td || ""}`;
  return /* @__PURE__ */ jsxs5(Fragment, { children: [
    /* @__PURE__ */ jsx5("div", { className: containerClassName, children: /* @__PURE__ */ jsx5("div", { className: "inline-block min-w-full align-middle", children: /* @__PURE__ */ jsx5(
      "div",
      {
        className: `overflow-hidden border rounded-lg ${baseContainerClassName}`,
        children: /* @__PURE__ */ jsxs5("table", { className: tableClassName, children: [
          /* @__PURE__ */ jsx5("thead", { className: theadClassName, children: /* @__PURE__ */ jsxs5("tr", { children: [
            columns.map((column) => /* @__PURE__ */ jsx5("th", { scope: "col", className: thClassName, children: column }, column)),
            actions && actionTexts && /* @__PURE__ */ jsx5("th", { scope: "col", className: thClassName, children: /* @__PURE__ */ jsx5("span", { className: "sr-only", children: actionTexts.join(", ") }) })
          ] }) }),
          /* @__PURE__ */ jsx5("tbody", { className: tbodyClassName, children: paginatedData.map((item, dataIndex) => {
            if (renderRow) {
              return /* @__PURE__ */ jsx5(
                "tr",
                {
                  onClick: () => rowOnClick && rowOnClick(item),
                  className: `${trClassName(dataIndex)} ${rowOnClick ? "cursor-pointer" : ""}`,
                  children: renderRow(item, dataIndex)
                },
                dataIndex
              );
            }
            return /* @__PURE__ */ jsxs5(
              "tr",
              {
                onClick: () => rowOnClick && rowOnClick(item),
                className: `${trClassName(dataIndex)} ${rowOnClick ? "cursor-pointer" : ""}`,
                children: [
                  props.map((prop) => {
                    const value = item[prop];
                    const cellKey = `${dataIndex}-${String(prop)}`;
                    const isExpanded = expandedCells[cellKey];
                    let displayValue;
                    if (typeof value === "string" && isDateString(value)) {
                      displayValue = formatDate(new Date(value), true);
                    } else if (Array.isArray(value)) {
                      let displayArray = value;
                      if (!isExpanded && displayArray.length > 5) {
                        displayArray = displayArray.slice(0, 5);
                      }
                      displayValue = /* @__PURE__ */ jsxs5(
                        "div",
                        {
                          className: "flex flex-wrap gap-1",
                          style: { maxWidth: "200px", overflowX: "auto" },
                          children: [
                            displayArray.map((chip, idx) => /* @__PURE__ */ jsx5(
                              "span",
                              {
                                className: "inline-block bg-indigo-100 text-gray-800 px-2 py-1 rounded-full text-xs",
                                children: trimText(String(chip), 20)
                              },
                              idx
                            )),
                            !isExpanded && value.length > 5 && /* @__PURE__ */ jsxs5(
                              "span",
                              {
                                className: "inline-block bg-gray-200 text-gray-600 px-2 py-1 rounded-full text-xs cursor-pointer",
                                onClick: (e) => {
                                  e.stopPropagation();
                                  setExpandedCells((prev) => ({
                                    ...prev,
                                    [cellKey]: true
                                  }));
                                },
                                children: [
                                  "+",
                                  value.length - 5,
                                  " more"
                                ]
                              }
                            )
                          ]
                        }
                      );
                    } else if (typeof value === "string" && value.startsWith("http")) {
                      displayValue = /* @__PURE__ */ jsx5(Link, { href: value, children: /* @__PURE__ */ jsx5(
                        "span",
                        {
                          className: "text-blue-500 hover:underline",
                          onClick: (e) => e.stopPropagation(),
                          children: isExpanded ? value : trimText(value, 30)
                        }
                      ) });
                    } else {
                      displayValue = isExpanded ? String(value) : trimText(String(value), 30);
                    }
                    return /* @__PURE__ */ jsx5(
                      "td",
                      {
                        className: tdClassName,
                        onClick: (e) => {
                          e.stopPropagation();
                          setExpandedCells((prev) => ({
                            ...prev,
                            [cellKey]: !prev[cellKey]
                          }));
                        },
                        children: displayValue
                      },
                      String(prop)
                    );
                  }),
                  actions && actionTexts && actionFunctions && /* @__PURE__ */ jsx5(
                    ActionDropdown_default,
                    {
                      item,
                      index: dataIndex,
                      actionTexts,
                      actionFunctions,
                      disableDefaultStyles,
                      customClassNames,
                      enableDarkMode
                    }
                  )
                ]
              },
              dataIndex
            );
          }) })
        ] })
      }
    ) }) }),
    enablePagination && page !== void 0 && setPage && /* @__PURE__ */ jsx5("div", { className: "flex justify-center", children: /* @__PURE__ */ jsx5(
      PaginationComponent_default,
      {
        page,
        setPage,
        totalPages: calculatedTotalPages,
        disableDefaultStyles,
        customClassNames: customClassNames.pagination,
        enableDarkMode
      }
    ) })
  ] });
}
var TableComponent_default = TableComponent;
export {
  ActionDropdown_default as ActionDropdown,
  NoContentComponent_default as NoContentComponent,
  TableComponent_default as TableComponent,
  TableSkeleton_default as TableSkeleton
};
